{% extends 'base.html.twig' %}
{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset("frontassets/css/dropzone.css") }}"/>
    <style>
        .page-content .inner-box {
            overflow: inherit;
            padding: 15px;
        }
    </style>
{% endblock %}

{% block body %}
    {% include "_header.html.twig" %}


    <div class="main-container">
        <div class="container">
            <div class="row">
              {% if app.request.attributes.get('_route') != "spare_edit" %}
                {% for error in edit_form.vars.errors %}
                    <div class="alert alert-danger fade in margin-bottom-40">
                        {{ error.message|trans }}
                    </div>
                {% endfor %}
                {% else %}
                {% for error in form_edit.vars.errors %}
                    <div class="alert alert-danger fade in margin-bottom-40">
                        {{ error.message|trans }}
                    </div>
                {% endfor %}
                {% endif %}
                <div class="col-md-9 page-content">
                    <div class="inner-box category-content" style="background-color: #fff">
                        <h2 class="title-2 uppercase"><strong> <i class="icon-docs"></i> Editer votre Annonce</strong></h2>
                        <div class="row">
                            {% if type == 1 %}
                                <form action="{{ path('application_edit', { 'id': vehicle.id,'type': type }) }}" id="formapp" class="form-horizontal" enctype="multipart/form-data" method="post" novalidate="novalidate">

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Titre <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(edit_form.title, { 'attr': {'class': 'form-control', 'placeholder': 'titre de l\'annonce' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.title.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.title) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Condition <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(edit_form.state, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.state.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.state) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group"><label class="col-md-3 control-label">Marque-Modéle
                                            <sup>*</sup></label>
                                        <div class="col-md-4 form-inline">
                                            {{form_widget(edit_form.marque, { 'attr': {'class': 'form-control'}}) }}

                                        </div>
                                        <div class="col-md-4">

                                            {{form_widget(edit_form.modele, { 'attr': {'class': 'form-control'}}) }}

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Kilometrage <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.mileage, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">KM</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.mileage.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.mileage) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de places <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.nbSit, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.nbSit.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.nbSit) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de portes <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.nbDoor, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Couleur <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.color, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de Cylindres <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.nbCylindre, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.nbCylindre.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.nbCylindre) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Energie <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.power, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.power.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.power) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Puissance <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.puissance, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">CV</span></div>

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.puissance.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.puissance) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Boite vitesse<sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.typeBoite, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.typeBoite.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.typeBoite) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Date de Mise En Circulation<sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.dateOfCirculation, { 'attr': {'class': 'date', 'type':'date' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.dateOfCirculation.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.dateOfCirculation) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Poids <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.weight, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">Kg</span></div>
                                        </div>
                                    </div>


                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Age <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.year, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">AN(S)</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.year.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.year) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Prix <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.price, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">DT</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.price.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.price) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Description <sup>(optionel)</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(edit_form.description, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-8 control-label"></label>
                                        <div class="col-md-3">
                                            <button type="submit" id="button1id" class="btn btn-primary btn-lg" style="background-color: #0a3d91">Suivant <i class="fa fa-chevron-right fa-1x"></i></button>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </form>

                            {% elseif type == 2%}
                                <form action="{{ path('application_edit', { 'id': vehicle.id,'type': type }) }}" id="formapp" class="form-horizontal" enctype="multipart/form-data" method="post" novalidate="novalidate">

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Titre <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(edit_form.title, { 'attr': {'class': 'form-control', 'placeholder': 'titre de l\'annonce' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.title.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.title) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Condition <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(edit_form.state, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group"><label class="col-md-3 control-label">City
                                            <sup>*</sup></label>
                                        <div class="col-md-3">
                                            {{form_widget(edit_form.city, { 'attr': {'class': 'form-control'}}) }}

                                        </div>

                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.state.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.state) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group"><label class="col-md-3 control-label">Marque-Modéle
                                            <sup>*</sup></label>
                                        <div class="col-md-4 form-inline">
                                            {{form_widget(edit_form.marque, { 'attr': {'class': 'form-control'}}) }}

                                        </div>
                                        <div class="col-md-4">

                                            {{form_widget(edit_form.modele, { 'attr': {'class': 'form-control'}}) }}

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Kilometrage <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.mileage, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">KM</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.mileage.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.mileage) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de places <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.nbSit, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.nbSit.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.nbSit) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de portes <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.nbDoor, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Couleur <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.color, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de Cylindres <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.nbCylindre, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.nbCylindre.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.nbCylindre) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Energie <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.power, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.power.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.power) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Puissance <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.puissance, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">CV</span></div>

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.puissance.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.puissance) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Boite vitesse<sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.typeBoite, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.typeBoite.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.typeBoite) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Date de Mise En Circulation<sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(edit_form.dateOfCirculation, { 'attr': {'class': 'date', 'type':'date' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.dateOfCirculation.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.dateOfCirculation) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Poids <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.weight, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">Kg</span></div>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Age <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.year, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">AN(S)</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.year.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.year) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Prix <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(edit_form.price, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">DT</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if edit_form.price.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(edit_form.price) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Description <sup>(optionel)</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(edit_form.description, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-8 control-label"></label>
                                        <div class="col-md-12">
                                            <div class="col-md-12" style="text-align : right">
                                                <a href="{{ path('application_photo_edition', {'id' : vehicle.id}) }}" id="button1id" class="btn btn-default" style="">Images <i class="fa fa-image fa-1x"></i></a>
                                                <button type="submit" id="button1id" class="btn btn-primary " style="margin-right: 20px">Mettre à jour </button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </form>
                            {% elseif type == 3 %}
                                <form action="{{ path('spare_edit', {'id':spare.id }) }}" id="formapp" class="form-horizontal" enctype="multipart/form-data" method="post" novalidate="novalidate">

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Titre <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form_edit.title, { 'attr': {'class': 'form-control', 'placeholder': 'titre de l\'annonce' }}) }}
                                            {% if form_edit.title.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form_edit.title) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Condition <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form_edit.state, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">City
                                            <sup>*</sup></label>
                                        <div class="col-md-3 ">
                                            {{form_widget(form_edit.city, { 'attr': {'class': 'form-control'}}) }}

                                        </div>

                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form_edit.state.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form_edit.state) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group"><label class="col-md-3 control-label">Marque-Modéle<sup>*</sup></label>
                                        <div class="col-md-4 form-inline">
                                            {{form_widget(form_edit.marque, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                        <div class="col-md-4">

                                            {{form_widget(form_edit.modele, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form_edit.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form_edit.marque) }}</div>
                                            {% endif %}
                                            {% if form_edit.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form_edit.modele) }}</div>
                                            {% endif %}

                                            {% for error in form_edit.vars.errors %}
                                                <div class="alert alert-danger fade in margin-bottom-40">
                                                    {{ error.message|trans }}
                                                </div>
                                            {% endfor %}
                                        </div>
                                    </div>



                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Age <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form_edit.year, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">AN(S)</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form_edit.year.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form_edit.year) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>


                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Prix <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form_edit.price, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">DT</span></div>

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form_edit.price.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form_edit.price) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Description <sup>(optionel)</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form_edit.description, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-8 control-label"></label>
                                        <div class="col-md-12" style="text-align : right">
                                            <a href="{{ path('spare_photo_edition', {'id' : spare.id}) }}" id="button1id" class="btn btn-default" style="">Images <i class="fa fa-image fa-1x"></i></a>
                                            <button type="submit" id="button1id" class="btn btn-primary " style="margin-right: 20px">Mettre à jour </button>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </form>


                            {% endif %}


                        </div>
                    </div>
                </div>

                <div class="col-md-3 reg-sidebar">
                    <div class="reg-sidebar-inner text-center">
                        <div class="panel sidebar-panel">
                            <div class="panel-heading uppercase">
                                <small><strong>Comment Vendre Rapidement?</strong></small>
                            </div>
                            <div class="panel-content">
                                <div class="panel-body text-left">
                                    <ul class="list-check">
                                        <li> Utilisez un bref titre et une description de l'élément</li>
                                        <li> Assurez-vous de publier dans la bonne catégorie</li>
                                        <li> Ajoutez de belles photos à votre annonce</li>
                                        <li> Mettez un prix raisonnable</li>
                                        <li> Vérifiez l'annonce avant de la publier</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="{{ asset('frontassets/assets/js/fileinput.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('frontassets/js/dropzone.js') }}"></script>
    <script type="text/javascript">

        $('#sayara_backendbundle_vehicle_marque').change(function () {
            var marqueSelector = $(this);
            var marqueid= marqueSelector.val()

            // Request the models of the selected marque.
            $.ajax({
                url: "{{ path('vehicle_model_list') }}",
                type: "POST",
                dataType: "JSON",
                data: {
                    marqueid: marqueSelector.val()
                },
                success: function (models) {
                    var modelSelect = $("#sayara_backendbundle_vehicle_modele");

                    // Remove current options
                    modelSelect.html('');

                    // Empty value ...
                    modelSelect.append('<option value> Choisir un modele de  ' + marqueSelector.find("option:selected").text() + ' ...</option>');


                    $.each(models, function (key, model) {
                        modelSelect.append('<option value="' + model.id + '">' + model.libelle + '</option>');
                    });
                },
                error: function (err) {
                    alert("An error ocurred while loading data ...");
                }
            });
        });

        //je récupère l'action où sera traité l'upload en PHP
        var _actionToDropZone = $("#formapp").attr('action');

        //je définis ma zone de drop grâce à l'ID de ma div citée plus haut.
        Dropzone.autoDiscover = false;
        var myDropzone = new Dropzone("#form_snippet_image", { url: _actionToDropZone });

    </script>
{% endblock %}